<table>
  <tr>
    <th>ID</th>
    <th>Name</th>
    <th>Actions</th>
  </tr>
  <tr *ngFor="let department of this.dataService.departments" class = "dept{{department.id}}">
    <td>{{department.id}}</td>
    <td class = "name">{{department.title}}</td>
    <td>
      <button type="button" class = "edit" (click)="edit(department)">
        Edit
      </button>
      <button type="button" (click)="delete(department)">
        Delete
      </button>
    </td>
  </tr>
</table>

<div class = "add modal">
  <label>Add new department:
    <input #departmentName/>
  </label>
  <button (click)="add(departmentName.value); departmentName.value=''; ">
    add
  </button>
</div>

<div id = "department">
  <label>Enter new department name:
    <input #newDepartmentName/>
  </label>
  <button (click)="save(newDepartmentName.value); newDepartmentName.value=''; hide()">
    save
  </button>
  <button (click)="cancel()">
    cancel
  </button>
</div>

